Skip to main content
POST
Generate signed update-card link

Headers

X-Platform-ID
string<uuid>
required

Unique platform identifier (UUID). You receive this during onboarding. Must be sent with every API request.

X-Signature
string
required

HMAC-SHA256 request signature for authentication. Use your platform secret key to compute it as: METHOD + PATH + QUERY + BODY_HASH.

Path Parameters

user_id
string<uuid>
required

Unique identifier (UUID) of the user for whom the update-card link is being generated.

Body

application/json
card_id
string<uuid>
required

Existing card UUID, if existing

Example:

"07f0a4aa-b890-4135-84d6-ec9c19b82bb3"

card_purpose
enum<string>
required

Specifies the purpose of the card — either PAYMENT or WITHDRAWAL

Available options:
PAYMENT,
WITHDRAWAL
Example:

"PAYMENT"

Response

Successful Response

success
boolean
default:true

Indicates whether the request was processed successfully.

Example:

true

message
string
default:Success

A short, human-readable message describing the result of the request.

Example:

"Operation completed."

data
PlatformCardSecureLinkRead · object | null

The main response payload, if applicable

queryGeneratedTime
number | null
default:1783679844.273462

The Unix timestamp (in seconds) indicating when the response was generated.

Example:

1718006400